[unixODBC-support] RedHat Shrike, GLIBC 2.3.2, and Oracle

Nick Gorham nick.gorham at easysoft.com
Fri Dec 4 16:44:24 GMT 2009


Alan J Batsford wrote:
>
> Hello,
>
> I'm trying to use unixODBC 2.2.14 on Red Hat Linux 9 (Shrike) to 
> connect with a remote Oracle XE database. I have done this 
> successfully on different Linux distros before. I'm using oracle's 
> latest instant client and odbc drivers, and when I try to connect I 
> receive the following error in the log:
>
> [ODBC][31798][1259874041.281054][SQLConnect.c][1063]Can't open lib 
> '/usr/lib/libsqora.so.11.1' : /usr/lib/libclntsh.so.11.1: symbol 
> semtimedop, version GLIBC_2.3.3 not defined in file libc.so.6 with 
> link time reference
>
> Admittedly this machine has GLIBC 2.3.2. However I was successful in 
> doing the same thing on a Red Hat Enterprise Linux ES release 3 
> (Taroon). That machine also has GLIBC 2.3.2, and the latest unixODBC 
> and oracle drivers work just fine. It makes me think that the GLIBC 
> version isn't the true culprit.
>
> Any insight would be greatly appreciated.
>
> -Alan
>
Not sure, but I would guess its a library/system issue of some sort.

-- 
Nick


More information about the unixODBC-support mailing list